getImat {pcot2} | R Documentation

## Generate an indicator matrix

### Description

This function is used to generate an indicator matrix as an input to the pcot2 function. The gene category indicator matrix indicates presence or absence of genes in pre-defined gene sets (e.g., gene pathways). The indicator matrix contains rows representing gene identifiers of genes present in the expression data and columns representing pre-defined group names. A value of 1 indicates the presence of a gene and 0 indicates the absence for the gene in a particular group.

### Usage

    getImat(x, pathlist, ms = 10)

### Arguments

`x` | A matrix with no missing values; Each row represents a gene and each column represents a sample.
`pathlist` | A list of gene sets.
`ms` | The minimum gene set size. Gene sets containing less than this number of genes will be excluded from the analysis.

### Value

An indicator matrix is returned. The matrix value is 1 (gene in) or 0 (gene out)

### Author(s)

Sarah Song and Mik Black

### References

S.Song and M.Black (2006) PCOT2: an R package for assessing expression changes in groups of related genes. Submitted to Bioinformatics.

### See Also

`pcot2`,`corplot`,`corplot2`,`aveProbe`

### Examples

    library(multtest)
    library(hu6800)
    data(golub)
    rownames(golub) <- golub.gnames[,3]
    colnames(golub) <- golub.cl
    KEGG.list <- as.list(hu6800PATH)
    imat <- getImat(golub, KEGG.list, ms=10)

[Package pcot2 version 1.2.0 Index]